## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%global         srcname     javaproperties

# tests are enabled by default
%bcond_without  tests

Name:           python-%{srcname}
Version:        0.8.1
Release:        %autorelease
Summary:        Read & write Java .properties files
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %pypi_source

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%if %{with tests}
BuildRequires:  python3-dateutil
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-mock
%endif

%global _description %{expand:
Read & write Java .properties files}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}

# Project uses pyproject for building, but pyproject-rpm-macros don't exist in
# EPEL. This is a workaround to make it easily installable with setuptools.
tee setup.py > /dev/null << EOF
from setuptools import setup
setup()
EOF


%build
%{py3_build}


%install
%py3_install


%if %{with tests}
%check
# Environment variables come from upstream's tox.ini:
#   https://github.com/major/javaproperties/blob/master/tox.ini
# Tests fail if they are not present due to time zone shenanigans.
export LC_ALL=en_US.UTF-8
export TZ=EST5EDT,M3.2.0,M11.1.0
%pytest
%endif


%files -n python3-%{srcname}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info


%changelog
* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Oct 06 2021 Major Hayden <major@mhtx.net> 0.8.1-1
- Update to 0.8.1

* Tue Jul 27 2021 Fedora Release Engineering <releng@fedoraproject.org> 0.8.0-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jun 08 2021 Major Hayden <major@mhtx.net> 0.8.0-2
- Add BuildRequires for setuptools

* Tue Jun 08 2021 Major Hayden <major@mhtx.net> 0.8.0-1
- Initial import (#1967776)
